Bug 25890 - Checkouts table not sorting on check out date correctly
Summary: Checkouts table not sorting on check out date correctly
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 20194
Blocks: 24533
  Show dependency treegraph
 
Reported: 2020-06-29 11:04 UTC by Nick Clemens
Modified: 2020-08-04 16:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25890: Update sorting column for checkouts table (1.24 KB, patch)
2020-06-29 11:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25890: Update sorting column for checkouts table (1.29 KB, patch)
2020-07-06 16:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25890: Update sorting column for checkouts table (1.35 KB, patch)
2020-07-06 21:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-06-29 11:04:31 UTC
Bug 21562 introduced a hidden column for sorting by date checked out
Bug 20194 added a new column, but did not update the sorting property (iDataDort) in checkouts.js

To recreate:
Test plan:
- Check some items out, all from different libraries
- Modify the checkout and due dates, like:
    2018-10-22
    2018-01-23
    2018-05-27
- Sort by checkout date, verify it is actually sorting on homebranch
Comment 1 Nick Clemens 2020-06-29 11:06:28 UTC
Created attachment 106389 [details] [review]
Bug 25890: Update sorting column for checkouts table

Test plan:
- Check some items out, all from different libraries
- Modify the checkout and due dates, like:
    2018-10-22
    2018-01-23
    2018-05-27
- Sort by checkout date, verify it is actually sorting on homebranch
- Apply patch
- Reload page
- Note you can now sort items correctly
Comment 2 Owen Leonard 2020-07-06 16:22:26 UTC
Created attachment 106600 [details] [review]
Bug 25890: Update sorting column for checkouts table

Test plan:
- Check some items out, all from different libraries
- Modify the checkout and due dates, like:
    2018-10-22
    2018-01-23
    2018-05-27
- Sort by checkout date, verify it is actually sorting on homebranch
- Apply patch
- Reload page
- Note you can now sort items correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-07-06 21:41:26 UTC
Created attachment 106615 [details] [review]
Bug 25890: Update sorting column for checkouts table

Test plan:
- Check some items out, all from different libraries
- Modify the checkout and due dates, like:
    2018-10-22
    2018-01-23
    2018-05-27
- Sort by checkout date, verify it is actually sorting on homebranch
- Apply patch
- Reload page
- Note you can now sort items correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-07-09 10:06:16 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-24 20:23:09 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-03 07:45:27 UTC
backported to 19.11.x for 19.11.09
Comment 7 Victor Grousset/tuxayo 2020-08-04 16:57:36 UTC
Missing dependencies for 19.05.x, can't backport.